# ESP

This mod adds lots of new information to tooltips and visualizes many hidden mechanics which can be used to understand the game better.

Install on the admin client (modding [guide](https://youtu.be/L9ljm2eKLrk)).

# Usage

See [documentation](https://github.com/JereKuusela/valheim-esp/blob/main/README.md).

Sources: [GitHub](https://github.com/JereKuusela/valheim-esp)

Donations: [Buy me a computer](https://www.buymeacoffee.com/jerekuusela)


# Changelog

- v1.14
	- Disables hold duration until PTB is released.

- v1.13
	- Update for Mistlands PTB.

- v1.12
	- Adds visual rays and texts for boss altars.
	- Adds a visual sphere for trophy speaks.
	- Improves compatibility with Spawner Tweaks and Structure Tweaks mods.

- v1.11
	- Adds visual rays for GemstoneSpawners (Jewelcrafting mod).
	- Changes the GUID which resets the configuration.
	- Fixes visuals not working the new Unity version.

- v1.10
	- Changes coordinate format from x,y,z to x,z,y (better matches other mods).
	- Changes all features to be disabled by default.
	- Fixes conflict with Better Archery mod.

- v1.9
	- Removes remaining cheat settings as obsolete.
	- Fixes structure and player cover not updating. Thanks Nodus Cursorius!
	- Fixes errors with ships.
	- Fixes the bounds check causing errors with some objects.
	- Fixes spawn system rays having too much spacing ending up in wrong zones.
	- Fixes spawn systems of new creatures having wrong timer.

- v1.8
	- Removes the ruler feature (split to a separate mod).
	- Fixes errors with custom crafting stations.
